# Launcher

The Morpheus Platform Launcher is our small desktop app that helps manage downloads of editors and game clients.

The Morpheus Platform Launcher, it's configuration, and managed applications are installed by default to `C:\Users\<Username>\AppData\Local\M2Launcher`

![](/files/oSgaL0sE5CXVL6H0w9tS)

## Customize the Launcher installation

After installation, you can configure where the Morpheus Platform tooling and clients are downloaded. The default installation is to `~/AppData/Local/M2Launcher` but you may want to select a different location. To change download location:

1. Create a new folder in your desired location, e.g. `D:\\M2Launcher`
2. Open the settings file: `~/AppData/Local/M2Launcher/Config/settings.json`
3. Edit the paths `clientsDirectory`, `editorsDirectory` and `cacheDirectory` to your new Folder, e.g.\\

   ```
   {
       "clientsDirectory":  "D:\\M2Launcher\\Clients",
       "editorsDirectory": "D:\\M2Launcher\\Edtiors",
       "cacheDirectory":    "D:\\M2Launcher\\Cache"
   }
   ```
4. Save the file

## Directory structure

The subdirectories in the `M2Launcher` folder are as follows:

* **bin** - Morpheus Platform Launcher binary
* **Editors**- All editor downloads
* **Clients** - All game clients downloads
* **Config** - Configuration files for the Morpheus Platform Launcher app
* **Logs** - Output from the Morpheus Platform Launcher app, please send us this folder if you encounter download errors.
* **Cache** - (Internal) Store containing binary chunks of download apps to help with caching for faster downloads


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.msquared.io/apis-and-tooling/launcher.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
